com.genesyslab.wfm8.API.service.config800

## Class CfgTimezoneBias

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config800.CfgTimezoneBias

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgTimezoneBias
      extends java.lang.Object
      implements java.io.Serializable

  Describes a deviation from a standard Time Zone as a bias, for example DST
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmBias` Additional Bias, in minutes
    `protected double` | `wmEndDatetime` End Date/Time (`OleDateTime`)
    `protected double` | `wmStartDatetime` Start Date/Time (`OleDateTime`)
    `protected int` | `wmTimezoneBiasId` Record ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgTimezoneBias()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmBias()` Gets the value of the wmBias property.
    `double` | `getWmEndDatetime()` Gets the value of the wmEndDatetime property.
    `double` | `getWmStartDatetime()` Gets the value of the wmStartDatetime property.
    `int` | `getWmTimezoneBiasId()` Gets the value of the wmTimezoneBiasId property.
    `int` | `hashCode()`
    `void` | `setWmBias(int value)` Sets the value of the wmBias property.
    `void` | `setWmEndDatetime(double value)` Sets the value of the wmEndDatetime property.
    `void` | `setWmStartDatetime(double value)` Sets the value of the wmStartDatetime property.
    `void` | `setWmTimezoneBiasId(int value)` Sets the value of the wmTimezoneBiasId property.
    `java.lang.String` | `toString()`
    `CfgTimezoneBias` | `withWmBias(int value)`
    `CfgTimezoneBias` | `withWmEndDatetime(double value)`
    `CfgTimezoneBias` | `withWmStartDatetime(double value)`
    `CfgTimezoneBias` | `withWmTimezoneBiasId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmTimezoneBiasId

          protected int wmTimezoneBiasId

      Record ID

    - #### wmStartDatetime

          protected double wmStartDatetime

      Start Date/Time (`OleDateTime`)

    - #### wmEndDatetime

          protected double wmEndDatetime

      End Date/Time (`OleDateTime`)

    - #### wmBias

          protected int wmBias

      Additional Bias, in minutes

  - ### Constructor Detail

    - #### CfgTimezoneBias

          public CfgTimezoneBias()

  - ### Method Detail

    - #### getWmTimezoneBiasId

          public int getWmTimezoneBiasId()

      Gets the value of the wmTimezoneBiasId property.

    - #### setWmTimezoneBiasId

          public void setWmTimezoneBiasId(int value)

      Sets the value of the wmTimezoneBiasId property.

    - #### getWmStartDatetime

          public double getWmStartDatetime()

      Gets the value of the wmStartDatetime property.

    - #### setWmStartDatetime

          public void setWmStartDatetime(double value)

      Sets the value of the wmStartDatetime property.

    - #### getWmEndDatetime

          public double getWmEndDatetime()

      Gets the value of the wmEndDatetime property.

    - #### setWmEndDatetime

          public void setWmEndDatetime(double value)

      Sets the value of the wmEndDatetime property.

    - #### getWmBias

          public int getWmBias()

      Gets the value of the wmBias property.

    - #### setWmBias

          public void setWmBias(int value)

      Sets the value of the wmBias property.

    - #### withWmTimezoneBiasId

          public CfgTimezoneBias withWmTimezoneBiasId(int value)

    - #### withWmStartDatetime

          public CfgTimezoneBias withWmStartDatetime(double value)

    - #### withWmEndDatetime

          public CfgTimezoneBias withWmEndDatetime(double value)

    - #### withWmBias

          public CfgTimezoneBias withWmBias(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.